## org.biojava.bio.program.ssaha
Class SearchListener.Echo

    java.lang.Object
      org.biojava.bio.program.ssaha.SearchListener.Echo

All Implemented Interfaces:
  SearchListener

Enclosing interface:
  SearchListener

    public static final class SearchListener.Echo

extends Object
implements SearchListener

A SearchListener that prints events out to a PrintStream.

Use this for debugging purposes.

Since:
  1.4
Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.ssaha.SearchListener
`SearchListener.Echo, SearchListener.FilterByLength, SearchListener.Tee, SearchListener.Wrapper`

Constructor Summary
`SearchListener.Echo(PrintStream out)`

Method Summary
`void` `endSearch(String seqID)` Indicates that a sequence has been searched against a DataStore.
`void` `hit(int hitID, int queryOffset, int hitOffset, int hitLength)` There has been a hit between the query sequence and a database sequence.
`void` `startSearch(String seqID)` Indicates that a sequence is about to be searched against a DataStore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchListener.Echo

    public SearchListener.Echo(PrintStream out)

Method Detail

### startSearch

    public void startSearch(String seqID)

  Description copied from interface: `SearchListener`
  Indicates that a sequence is about to be searched against a DataStore.

  Specified by:
    `startSearch` in interface `SearchListener`
  Parameters:
    `seqID` - the id of the sequence to be searched

### endSearch

    public void endSearch(String seqID)

  Description copied from interface: `SearchListener`
  Indicates that a sequence has been searched against a DataStore.

  Specified by:
    `endSearch` in interface `SearchListener`
  Parameters:
    `seqID` - the id of the sequence to be searched

### hit

    public void hit(int hitID,
                    int queryOffset,
                    int hitOffset,
                    int hitLength)

  Description copied from interface: `SearchListener`
  There has been a hit between the query sequence and a database sequence.

  Specified by:
    `hit` in interface `SearchListener`
  Parameters:
    `hitID` - the number of the sequence hit; resolvable by String id = DataStore.seqNameForID(hitID)
    `queryOffset` - the offset into the query sequence
    `hitOffset` - the offset into the sequence hit in the database
    `hitLength` - the number of symbols hit